#!/bin/csh

set in = grid_rgb.ppm

set formatList = ( l la rgb rgba )
set typeList = ( u8 u16 f32 )
set compressList = ( none rle )

foreach format ($formatList)
  foreach type ($typeList)
    foreach compress ($compressList)
        
      set out = "out"
      set out = ${out}-format_${format}
      set out = ${out}-type_${type}
      set out = ${out}-compress_${compress}
      set out = ${out}.tga
          
      ../../bin/djop \
        $in $out \
        -saveFormat $format \
        -saveType $type \
        -saveAttr tga compress $compress
      if ($status != 0) then
        exit 1
      endif

    end
  end
end
